# Uses of Class
org.apache.felix.framework.capabilityset.SimpleFilter

Packages that use SimpleFilter
Package
Description
org.apache.felix.framework
org.apache.felix.framework.capabilityset
org.apache.felix.framework.resolver
org.apache.felix.framework.wiring

## Uses of SimpleFilter in org.apache.felix.framework

Methods in org.apache.felix.framework with parameters of type SimpleFilter
Modifier and Type
Method
Description
`Collection`
ServiceRegistry.`getServiceReferences(String className, SimpleFilter filter)`

## Uses of SimpleFilter in org.apache.felix.framework.capabilityset

Methods in org.apache.felix.framework.capabilityset that return SimpleFilter
Modifier and Type
Method
Description
`static SimpleFilter`
SimpleFilter.`convert(Map<String,Object> attrs)`
Converts a attribute map to a filter.
`static SimpleFilter`
SimpleFilter.`parse(String filter)`
Methods in org.apache.felix.framework.capabilityset with parameters of type SimpleFilter
Modifier and Type
Method
Description
`Set<BundleCapability>`
CapabilitySet.`match(SimpleFilter sf, boolean obeyMandatory)`
`static boolean`
CapabilitySet.`matches(BundleCapability cap, SimpleFilter sf)`

## Uses of SimpleFilter in org.apache.felix.framework.resolver

Methods in org.apache.felix.framework.resolver that return SimpleFilter
Modifier and Type
Method
Description
`SimpleFilter`
WrappedRequirement.`getFilter()`

## Uses of SimpleFilter in org.apache.felix.framework.wiring

Methods in org.apache.felix.framework.wiring that return SimpleFilter
Modifier and Type
Method
Description
`SimpleFilter`
BundleRequirementImpl.`getFilter()`
Constructors in org.apache.felix.framework.wiring with parameters of type SimpleFilter
Modifier
Constructor
Description
``
`BundleRequirementImpl(BundleRevision revision, String namespace, Map<String,String> dirs, Map<String,Object> attrs, SimpleFilter filter)`